// Chapter 7 - Communications
// I2C Slave 
// By Cornel Amariei for Packt Publishing
// (!) modified J.Gálvez 24.08.20:
// Sketch "I2C_slave" of tutorial "I2C between Arduinos" by instructables adapted and inserted, Authors: By Cornel Amariei for Packt Publishing
// https://www.instructables.com/id/I2C-between-Arduinos/

// Include the required Wire library for I2C
#include <Wire.h>

int LED = 13;
int x = 0;

void setup() {
  pinMode (LED, OUTPUT);        // Define the LED pin as Output
  Wire.begin(6);                //(!)address changed // Start the I2C Bus as Slave on address 6
  Wire.onReceive(receiveEvent); // Attach a function to trigger when something is received.
  Serial.begin(9600);           // start serial for output
}

void receiveEvent(int bytes) {
  x = Wire.read();              // read one character from the I2C
//  Serial.println(x);          // print the integer
}

void loop() {
  if (x == 1) {                 //(!)Value changed without '' // If value received is 0 blink LED for 200 ms
    Serial.println(x);          // print the integer
    digitalWrite(LED, HIGH);
    delay(200);
    digitalWrite(LED, LOW);
    delay(200);
  }
  if (x == 3) {                 //(!)Value changed without '' //If value received is 3 blink LED for 400 ms
    Serial.println(x);          // print the integer
    digitalWrite(LED, HIGH);
    delay(400);
    digitalWrite(LED, LOW);
    delay(400);
  }
}
